Loading...
Searching...
No Matches
Opm::WellGroupConstraints< Scalar, IndexTraits > Class Template Reference

Class for computing well group constraints. More...

`#include <WellGroupConstraints.hpp>`

## Public Types

using | RateConvFunc

## Public Member Functions

| WellGroupConstraints (const WellInterfaceGeneric< Scalar, IndexTraits > &well)
| Constructor sets reference to well.
bool | checkGroupConstraints (WellState< Scalar, IndexTraits > &well_state, const GroupState< Scalar > &group_state, const Schedule &schedule, const SummaryState &summaryState, const RateConvFunc &rateConverter, const bool check_guide_rate, DeferredLogger &deferred_logger) const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WellGroupConstraints< Scalar, IndexTraits >

Class for computing well group constraints.

## Member Typedef Documentation

## RateConvFunc

template<typename Scalar, typename IndexTraits>

using Opm::WellGroupConstraints< Scalar, IndexTraits >::RateConvFunc

Initial value:
std::function<void(const RegionId,
const int,
const std::optional<std::string>&,
std::vector<Scalar>&)>

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellGroupConstraints.hpp
- opm/simulators/wells/WellGroupConstraints.cpp